# For advice on how to change settings please see
# http://dev.mysql.com/doc/refman/8.0/en/server-configuration-defaults.html

[mysqld]
# Check https://dev.mysql.com/doc/refman/8.0/en/sql-mode.html.
sql_mode="TRADITIONAL,ANSI,NO_AUTO_VALUE_ON_ZERO"
log_error=/var/lib/mysql/182831.err

# Allow compatibility (in terms of authentication) for upgrading from 5.x or using MySQL native password explicitly.
authentication_policy=mysql_native_password

# Useful for complex, advanced GROUP BY queries.
# Also, as stated at https://devdocs.magento.com/guides/v2.4/install-gde/prereq/mysql.html#instgde-prereq-mysql-config,
# indexers require higher `tmp_table_size` and `max_heap_table_size` values.
max_heap_table_size=256M
tmp_table_size=256M

# As recommended at https://devdocs.magento.com/guides/v2.4/install-gde/prereq/mysql.html#instgde-prereq-mysql-config,
# ensure `explicit_defaults_for_timestamp` is enabled, even if deprecated and enabled by default.
explicit_defaults_for_timestamp=ON

# InnoDB
innodb_strict_mode=ON                 # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_strict_mode
innodb_buffer_pool_chunk_size=256M    # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_buffer_pool_chunk_size
innodb_buffer_pool_instances=8        # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_buffer_pool_instances
innodb_buffer_pool_size=2G            # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_buffer_pool_size
innodb_file_per_table=OFF             # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_file_per_table
innodb_log_file_size=128M             # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_log_file_size
innodb_log_files_in_group=4           # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_log_files_in_group
innodb_ddl_buffer_size=16M            # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_ddl_buffer_size
innodb_online_alter_log_max_size=512M # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_online_alter_log_max_size
innodb_open_files=2048                # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_open_files
innodb_flush_log_at_trx_commit=0      # https://dev.mysql.com/doc/refman/8.0/en/innodb-parameters.html#sysvar_innodb_flush_log_at_trx_commit

# Other settings
myisam_sort_buffer_size=64M           # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_myisam_sort_buffer_size
bulk_insert_buffer_size=128M          # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_bulk_insert_buffer_size
open_files_limit=2048                 # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_open_files_limit
table_open_cache=2048                 # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_table_open_cache
max_allowed_packet=512M               # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_max_allowed_packet
max_connections=1000                  # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_max_connections
key_buffer_size=512M                  # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_key_buffer_size
max_sort_length=2K                    # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_max_sort_length
sort_buffer_size=1M                   # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_sort_buffer_size
interactive_timeout=10800             # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_interactive_timeout
wait_timeout=10800                    # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_wait_timeout
max_connect_errors=1000               # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_max_connect_errors
thread_cache_size=50                  # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_thread_cache_size

[mysqld_safe]
open_files_limit=2048                 # https://dev.mysql.com/doc/refman/8.0/en/server-system-variables.html#sysvar_open_files_limit
